Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 22 Mar 2021 07:47:29 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I order a car seat then 
Then the shipping company called me once and he told me he is so busy can’t deliver it today !!!
Then I was surprise that they returned my order without notifying me !! 
I called centerpoint   customer service many times to  talk with management and they refused !!! 
I want to buy order back in the same price 
I did it ask for  return  So on what basis they make return https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2283833